Bug 1340860 (CVE-2016-4956) - CVE-2016-4956 ntp: broadcast interleave (incomplete fix for CVE-2016-1548)
Summary: CVE-2016-4956 ntp: broadcast interleave (incomplete fix for CVE-2016-1548)
Status: CLOSED WONTFIX
Alias: CVE-2016-4956
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160602,reported=2...
Keywords: Security
Depends On: 1342128
Blocks: 1302226
TreeView+ depends on / blocked
 
Reported: 2016-05-30 12:45 UTC by Martin Prpič
Modified: 2016-10-03 19:48 UTC (History)
4 users (show)

Fixed In Version: ntp 4.2.8p8
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 13:18:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Prpič 2016-05-30 12:45:52 UTC
It was found that the fix for CVE-2016-1548 did not cover broadcast associations; broadcast clients could be triggered to flip into interleave mode and be exposed to the same vulnerability as described in CVE-2016-1548 (bug 1331462).

Comment 1 Martin Prpič 2016-05-30 12:45:57 UTC
Acknowledgments:

Name: Miroslav Lichvar (Red Hat)

Comment 2 Martin Prpič 2016-05-30 13:18:34 UTC
Mitigation:

Do not use NTP's broadcast mode in the clients by not configuring the "broadcastclient" directive in the ntp.conf file.

Comment 3 Martin Prpič 2016-06-02 13:39:35 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1342128]

Comment 5 Harkanwal 2016-06-10 10:45:18 UTC
Could anyone suggest any specific reason of closing the bug without fixing it.  Secondly advisory for customers who have these vulnerabilities

Comment 6 Martin Prpič 2016-06-10 11:07:07 UTC
(In reply to Harkanwal from comment #5)
> Could anyone suggest any specific reason of closing the bug without fixing
> it.  Secondly advisory for customers who have these vulnerabilities

Hi, this issue was rated as having a Low security impact. It only affects clients that are configured to use the broadcast mode. Plus, an attacker would need to have access to an ntpd server to trigger the issue on a given client. All of this combined means that this issue is very unlikely to be exloited, and thus is not planned to be fixed. We may revisit this issue in a future minor RHEL release.

Comment 7 Fedora Update System 2016-06-18 18:47:32 UTC
ntp-4.2.6p5-41.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-02 19:26:55 UTC
ntp-4.2.6p5-41.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-07-02 19:32:43 UTC
ntp-4.2.6p5-41.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.